Subject: bug#32725: 26.1; auth-source does not return newly created entries

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 13 Jul 2019 04:28:52 +0200

Allen Li <[email-masked]> writes:

> New bug filed per discovery in #30246
>
> (auth-source-search :host "example.com" :user "bob" :secret "password"
> :create t)
>
> After calling the returned save function, I can confirm that the
> secret is created:

[...]

> However I cannot seem to retrieve it using auth-source:
>
> (auth-source-search :host "example.com" :user "bob")
> nil

[...]

>> I could reproduce it locally. And I could reproduce it also with another
>> backend, "~/.authinfo".

I tried this now with the authinfo backend, and the search does return
the credentials, so it seems like this has been fixed now in Emacs 27,
and I'm closing this bug report.  If this isn't the case, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no